<?php

namespace App\Entities\Part;

use App\Models\Part\CSModel;

class CSEntity extends PartType2Entity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;
    protected $attributes = [
        'type' => '',
        'ip' => '',
        'accountid' => '',
        'domain' => '',
        'price' => 0,
        'status' => '',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    //기본기능   
    final public function getClientInfoUid(): int|null
    {
        return $this->clientinfo_uid;
    }
    final public function getServiceInfoUid(): int|null
    {
        return $this->serviceinfo_uid;
    }
    final public function getServerInfoUid(): int|null
    {
        return $this->serverinfo_uid;
    }
    public function getIP(): string
    {
        return $this->ip ?? '';
    }
    //기본기능    
    public function getAccountID(): string
    {
        return $this->accountid ?? "";
    }
    public function getDomain(): string
    {
        return $this->domain ?? "";
    }
    //abstract 선언처리용
}
